<html>
<head>
<title>Ogre::CompositionTargetPass Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1CompositionTargetPass.html">CompositionTargetPass</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::CompositionTargetPass Class Reference<div class="ingroups"><a class="el" href="group__Effects.html">Effects</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::CompositionTargetPass" --><!-- doxytag: inherits="Ogre::AllocatedObject" -->
<p>Object representing one render to a <a class="el" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> or <a class="el" href="classOgre_1_1Viewport.html" title="An abstraction of a viewport, i.e.">Viewport</a> in the <a class="el" href="namespaceOgre.html">Ogre</a> Composition framework.  
 <a href="classOgre_1_1CompositionTargetPass.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreCompositionTargetPass_8h_source.html">OgreCompositionTargetPass.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::CompositionTargetPass:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1CompositionTargetPass__inherit__graph.gif" border="0" usemap="#Ogre_1_1CompositionTargetPass_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1CompositionTargetPass_inherit__map" id="Ogre_1_1CompositionTargetPass_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="35,5,173,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1CompositionTargetPass-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#ab2b5ca61fda0a8dfdba1e3447f453294">InputMode</a> { <a class="el" href="classOgre_1_1CompositionTargetPass.html#ab2b5ca61fda0a8dfdba1e3447f453294a97eecad4dbc7cc768152365585fa9fe6">IM_NONE</a>, 
<a class="el" href="classOgre_1_1CompositionTargetPass.html#ab2b5ca61fda0a8dfdba1e3447f453294a412bc35d7930bd2101ea4d0a5a760611">IM_PREVIOUS</a>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Input mode of a TargetPass.  <a href="classOgre_1_1CompositionTargetPass.html#ab2b5ca61fda0a8dfdba1e3447f453294">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1vector.html">vector</a><br class="typebreak"/>
&lt; <a class="el" href="classOgre_1_1CompositionPass.html">CompositionPass</a> * &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#ae4c3411ea5a627769c7bf65179b6b5d6">Passes</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="classOgre_1_1VectorIterator.html">VectorIterator</a>&lt; <a class="el" href="classOgre_1_1CompositionTargetPass.html#ae4c3411ea5a627769c7bf65179b6b5d6">Passes</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#a1b8ac16663ae6c9fc06c80159f87d51b">PassIterator</a></td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#a612ca8c0c7b29fe33def25042b933622">CompositionTargetPass</a> (<a class="el" href="classOgre_1_1CompositionTechnique.html">CompositionTechnique</a> *parent)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#a9906c9ece49a038ff4996ff461238dd4">~CompositionTargetPass</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#abf1c9cf0c11f8f440bfb1103b6c1349a">setInputMode</a> (<a class="el" href="classOgre_1_1CompositionTargetPass.html#ab2b5ca61fda0a8dfdba1e3447f453294">InputMode</a> mode)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set input mode of this TargetPass.  <a href="#abf1c9cf0c11f8f440bfb1103b6c1349a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1CompositionTargetPass.html#ab2b5ca61fda0a8dfdba1e3447f453294">InputMode</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#ab8fc3fb7227c25c749550449061759b9">getInputMode</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get input mode.  <a href="#ab8fc3fb7227c25c749550449061759b9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#ac9a67dacd9d95d9f91fdb9437b07d758">setOutputName</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;out)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set output local texture name.  <a href="#ac9a67dacd9d95d9f91fdb9437b07d758"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#ac68f5ea35754442ca419ba3adc5fcde2">getOutputName</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get output local texture name.  <a href="#ac68f5ea35754442ca419ba3adc5fcde2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#aa4113fff3ebd783e8ead645321cb7322">setOnlyInitial</a> (bool value)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set "only initial" flag.  <a href="#aa4113fff3ebd783e8ead645321cb7322"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#ab966f6bbb58d0d0a09c478fa20ded7c4">getOnlyInitial</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get "only initial" flag.  <a href="#ab966f6bbb58d0d0a09c478fa20ded7c4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#a5f741ec104a602e81d3f9b5f01ae2d4c">setVisibilityMask</a> (<a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> mask)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the scene visibility mask used by this pass.  <a href="#a5f741ec104a602e81d3f9b5f01ae2d4c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#aae200cd1a0e12a84df5355f08ee06995">getVisibilityMask</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the scene visibility mask used by this pass.  <a href="#aae200cd1a0e12a84df5355f08ee06995"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#a3f57dcb06d3d764e4fe532be89e6f350">setMaterialScheme</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;schemeName)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the material scheme used by this target pass.  <a href="#a3f57dcb06d3d764e4fe532be89e6f350"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#ad1ec75974ebb9d6795f876e01822f3e3">getMaterialScheme</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the material scheme used by this target pass.  <a href="#ad1ec75974ebb9d6795f876e01822f3e3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#a0a4ee56a29f0aa2ec2131ed9bdda9f4b">setShadowsEnabled</a> (bool enabled)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set whether shadows are enabled in this target pass.  <a href="#a0a4ee56a29f0aa2ec2131ed9bdda9f4b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#aba75b186f14921fced9e4f80a2e0e186">getShadowsEnabled</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get whether shadows are enabled in this target pass.  <a href="#aba75b186f14921fced9e4f80a2e0e186"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#aff86d6761429799b8bb58e44962f2a0f">setLodBias</a> (float bias)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the scene LOD bias used by this pass.  <a href="#aff86d6761429799b8bb58e44962f2a0f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#a77a7e3bada28e04c2498aff78886d8b8">getLodBias</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the scene LOD bias used by this pass.  <a href="#a77a7e3bada28e04c2498aff78886d8b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1CompositionPass.html">CompositionPass</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#a7eb0dfa68069759225458c041358505e">createPass</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a new pass, and return a pointer to it.  <a href="#a7eb0dfa68069759225458c041358505e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#a211bcd76961f116969bbc4b1a5d7562d">removePass</a> (size_t idx)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove a pass.  <a href="#a211bcd76961f116969bbc4b1a5d7562d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1CompositionPass.html">CompositionPass</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#a16f32593b58adba4a5c2477a976df869">getPass</a> (size_t idx)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a pass.  <a href="#a16f32593b58adba4a5c2477a976df869"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#a9dc0b04a179dd54ca7d444d4bd1c2010">getNumPasses</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the number of passes.  <a href="#a9dc0b04a179dd54ca7d444d4bd1c2010"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#a0e3250aafe830419fcf6ec9c2a925e6e">removeAllPasses</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove all passes.  <a href="#a0e3250aafe830419fcf6ec9c2a925e6e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1CompositionTargetPass.html#a1b8ac16663ae6c9fc06c80159f87d51b">PassIterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#a81f81638ed902707871edaa54d570e3c">getPassIterator</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get an iterator over the Passes in this TargetPass.  <a href="#a81f81638ed902707871edaa54d570e3c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1CompositionTechnique.html">CompositionTechnique</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#aa1a330d0d35f731d94fa885a04f73caf">getParent</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get parent object.  <a href="#aa1a330d0d35f731d94fa885a04f73caf"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#a5e1075c8f2a3c9cfaed6f65a9ea55334">_isSupported</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Determine if this target pass is supported on the current rendering device.  <a href="#a5e1075c8f2a3c9cfaed6f65a9ea55334"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1CompositionTechnique.html">CompositionTechnique</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#a59453821f88399703dae5e7ced4c47bd">mParent</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Parent technique.  <a href="#a59453821f88399703dae5e7ced4c47bd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1CompositionTargetPass.html#ab2b5ca61fda0a8dfdba1e3447f453294">InputMode</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#a459ee451d7916398cca6bc300b0ac7c6">mInputMode</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Input name.  <a href="#a459ee451d7916398cca6bc300b0ac7c6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#a6ff0106b3d9aaaccf9f4a76885cdbbf2">mOutputName</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">(local) output texture  <a href="#a6ff0106b3d9aaaccf9f4a76885cdbbf2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1CompositionTargetPass.html#ae4c3411ea5a627769c7bf65179b6b5d6">Passes</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#a2f52450762b8bebd7d1154fd4f840456">mPasses</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Passes.  <a href="#a2f52450762b8bebd7d1154fd4f840456"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#a7d4c5bd17e2e323f1d0d1ef267f8fd61">mOnlyInitial</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This target pass is only executed initially after the effect has been enabled.  <a href="#a7d4c5bd17e2e323f1d0d1ef267f8fd61"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#a191a14c4f7e8b5c55b6af2b6711d0810">mVisibilityMask</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Visibility mask for this render.  <a href="#a191a14c4f7e8b5c55b6af2b6711d0810"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#a4ce2db808cd0fdfffbe1711e2160bfc5">mLodBias</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">LOD bias of this render.  <a href="#a4ce2db808cd0fdfffbe1711e2160bfc5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#abd072b22313d02b789cf35c82e38b811">mMaterialScheme</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> scheme name.  <a href="#abd072b22313d02b789cf35c82e38b811"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositionTargetPass.html#a7562d96ff4c451bf72ce604f11623906">mShadowsEnabled</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Shadows option.  <a href="#a7562d96ff4c451bf72ce604f11623906"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Object representing one render to a <a class="el" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> or <a class="el" href="classOgre_1_1Viewport.html" title="An abstraction of a viewport, i.e.">Viewport</a> in the <a class="el" href="namespaceOgre.html">Ogre</a> Composition framework. </p>

<p>Definition at line <a class="el" href="OgreCompositionTargetPass_8h_source.html#l00044">44</a> of file <a class="el" href="OgreCompositionTargetPass_8h_source.html">OgreCompositionTargetPass.h</a>.</p>
</div><hr/><h2>Member Typedef Documentation</h2>
<a class="anchor" id="ae4c3411ea5a627769c7bf65179b6b5d6"></a><!-- doxytag: member="Ogre::CompositionTargetPass::Passes" ref="ae4c3411ea5a627769c7bf65179b6b5d6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1vector.html">vector</a>&lt;<a class="el" href="classOgre_1_1CompositionPass.html">CompositionPass</a> *&gt;::type <a class="el" href="classOgre_1_1CompositionTargetPass.html#ae4c3411ea5a627769c7bf65179b6b5d6">Ogre::CompositionTargetPass::Passes</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCompositionTargetPass_8h_source.html#l00057">57</a> of file <a class="el" href="OgreCompositionTargetPass_8h_source.html">OgreCompositionTargetPass.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1b8ac16663ae6c9fc06c80159f87d51b"></a><!-- doxytag: member="Ogre::CompositionTargetPass::PassIterator" ref="a1b8ac16663ae6c9fc06c80159f87d51b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1VectorIterator.html">VectorIterator</a>&lt;<a class="el" href="classOgre_1_1CompositionTargetPass.html#ae4c3411ea5a627769c7bf65179b6b5d6">Passes</a>&gt; <a class="el" href="classOgre_1_1CompositionTargetPass.html#a1b8ac16663ae6c9fc06c80159f87d51b">Ogre::CompositionTargetPass::PassIterator</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCompositionTargetPass_8h_source.html#l00058">58</a> of file <a class="el" href="OgreCompositionTargetPass_8h_source.html">OgreCompositionTargetPass.h</a>.</p>

</div>
</div>
<hr/><h2>Member Enumeration Documentation</h2>
<a class="anchor" id="ab2b5ca61fda0a8dfdba1e3447f453294"></a><!-- doxytag: member="Ogre::CompositionTargetPass::InputMode" ref="ab2b5ca61fda0a8dfdba1e3447f453294" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classOgre_1_1CompositionTargetPass.html#ab2b5ca61fda0a8dfdba1e3447f453294">Ogre::CompositionTargetPass::InputMode</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Input mode of a TargetPass. </p>
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="ab2b5ca61fda0a8dfdba1e3447f453294a97eecad4dbc7cc768152365585fa9fe6"></a><!-- doxytag: member="IM_NONE" ref="ab2b5ca61fda0a8dfdba1e3447f453294a97eecad4dbc7cc768152365585fa9fe6" args="" -->IM_NONE</em>&nbsp;</td><td>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ab2b5ca61fda0a8dfdba1e3447f453294a412bc35d7930bd2101ea4d0a5a760611"></a><!-- doxytag: member="IM_PREVIOUS" ref="ab2b5ca61fda0a8dfdba1e3447f453294a412bc35d7930bd2101ea4d0a5a760611" args="" -->IM_PREVIOUS</em>&nbsp;</td><td>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreCompositionTargetPass_8h_source.html#l00052">52</a> of file <a class="el" href="OgreCompositionTargetPass_8h_source.html">OgreCompositionTargetPass.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a612ca8c0c7b29fe33def25042b933622"></a><!-- doxytag: member="Ogre::CompositionTargetPass::CompositionTargetPass" ref="a612ca8c0c7b29fe33def25042b933622" args="(CompositionTechnique *parent)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositionTargetPass.html#a612ca8c0c7b29fe33def25042b933622">Ogre::CompositionTargetPass::CompositionTargetPass</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1CompositionTechnique.html">CompositionTechnique</a> *&#160;</td>
          <td class="paramname"><em>parent</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a9906c9ece49a038ff4996ff461238dd4"></a><!-- doxytag: member="Ogre::CompositionTargetPass::~CompositionTargetPass" ref="a9906c9ece49a038ff4996ff461238dd4" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositionTargetPass.html#a9906c9ece49a038ff4996ff461238dd4">Ogre::CompositionTargetPass::~CompositionTargetPass</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a5e1075c8f2a3c9cfaed6f65a9ea55334"></a><!-- doxytag: member="Ogre::CompositionTargetPass::_isSupported" ref="a5e1075c8f2a3c9cfaed6f65a9ea55334" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1CompositionTargetPass.html#a5e1075c8f2a3c9cfaed6f65a9ea55334">Ogre::CompositionTargetPass::_isSupported</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Determine if this target pass is supported on the current rendering device. </p>

</div>
</div>
<a class="anchor" id="a7eb0dfa68069759225458c041358505e"></a><!-- doxytag: member="Ogre::CompositionTargetPass::createPass" ref="a7eb0dfa68069759225458c041358505e" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositionPass.html">CompositionPass</a>* <a class="el" href="classOgre_1_1CompositionTargetPass.html#a7eb0dfa68069759225458c041358505e">Ogre::CompositionTargetPass::createPass</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a new pass, and return a pointer to it. </p>

</div>
</div>
<a class="anchor" id="ab8fc3fb7227c25c749550449061759b9"></a><!-- doxytag: member="Ogre::CompositionTargetPass::getInputMode" ref="ab8fc3fb7227c25c749550449061759b9" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositionTargetPass.html#ab2b5ca61fda0a8dfdba1e3447f453294">InputMode</a> <a class="el" href="classOgre_1_1CompositionTargetPass.html#ab8fc3fb7227c25c749550449061759b9">Ogre::CompositionTargetPass::getInputMode</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get input mode. </p>

</div>
</div>
<a class="anchor" id="a77a7e3bada28e04c2498aff78886d8b8"></a><!-- doxytag: member="Ogre::CompositionTargetPass::getLodBias" ref="a77a7e3bada28e04c2498aff78886d8b8" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float <a class="el" href="classOgre_1_1CompositionTargetPass.html#a77a7e3bada28e04c2498aff78886d8b8">Ogre::CompositionTargetPass::getLodBias</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the scene LOD bias used by this pass. </p>

</div>
</div>
<a class="anchor" id="ad1ec75974ebb9d6795f876e01822f3e3"></a><!-- doxytag: member="Ogre::CompositionTargetPass::getMaterialScheme" ref="ad1ec75974ebb9d6795f876e01822f3e3" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="el" href="classOgre_1_1CompositionTargetPass.html#ad1ec75974ebb9d6795f876e01822f3e3">Ogre::CompositionTargetPass::getMaterialScheme</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the material scheme used by this target pass. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Only applicable to targets that render the scene as one of their passes. </dd></dl>
<dl class="see"><dt><b>See also:</b></dt><dd>Technique::setScheme. </dd></dl>

</div>
</div>
<a class="anchor" id="a9dc0b04a179dd54ca7d444d4bd1c2010"></a><!-- doxytag: member="Ogre::CompositionTargetPass::getNumPasses" ref="a9dc0b04a179dd54ca7d444d4bd1c2010" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1CompositionTargetPass.html#a9dc0b04a179dd54ca7d444d4bd1c2010">Ogre::CompositionTargetPass::getNumPasses</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the number of passes. </p>

</div>
</div>
<a class="anchor" id="ab966f6bbb58d0d0a09c478fa20ded7c4"></a><!-- doxytag: member="Ogre::CompositionTargetPass::getOnlyInitial" ref="ab966f6bbb58d0d0a09c478fa20ded7c4" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1CompositionTargetPass.html#ab966f6bbb58d0d0a09c478fa20ded7c4">Ogre::CompositionTargetPass::getOnlyInitial</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get "only initial" flag. </p>

</div>
</div>
<a class="anchor" id="ac68f5ea35754442ca419ba3adc5fcde2"></a><!-- doxytag: member="Ogre::CompositionTargetPass::getOutputName" ref="ac68f5ea35754442ca419ba3adc5fcde2" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="el" href="classOgre_1_1CompositionTargetPass.html#ac68f5ea35754442ca419ba3adc5fcde2">Ogre::CompositionTargetPass::getOutputName</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get output local texture name. </p>

</div>
</div>
<a class="anchor" id="aa1a330d0d35f731d94fa885a04f73caf"></a><!-- doxytag: member="Ogre::CompositionTargetPass::getParent" ref="aa1a330d0d35f731d94fa885a04f73caf" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositionTechnique.html">CompositionTechnique</a>* <a class="el" href="classOgre_1_1CompositionTargetPass.html#aa1a330d0d35f731d94fa885a04f73caf">Ogre::CompositionTargetPass::getParent</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get parent object. </p>

</div>
</div>
<a class="anchor" id="a16f32593b58adba4a5c2477a976df869"></a><!-- doxytag: member="Ogre::CompositionTargetPass::getPass" ref="a16f32593b58adba4a5c2477a976df869" args="(size_t idx)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositionPass.html">CompositionPass</a>* <a class="el" href="classOgre_1_1CompositionTargetPass.html#a16f32593b58adba4a5c2477a976df869">Ogre::CompositionTargetPass::getPass</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>idx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get a pass. </p>

</div>
</div>
<a class="anchor" id="a81f81638ed902707871edaa54d570e3c"></a><!-- doxytag: member="Ogre::CompositionTargetPass::getPassIterator" ref="a81f81638ed902707871edaa54d570e3c" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositionTargetPass.html#a1b8ac16663ae6c9fc06c80159f87d51b">PassIterator</a> <a class="el" href="classOgre_1_1CompositionTargetPass.html#a81f81638ed902707871edaa54d570e3c">Ogre::CompositionTargetPass::getPassIterator</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get an iterator over the Passes in this TargetPass. </p>

</div>
</div>
<a class="anchor" id="aba75b186f14921fced9e4f80a2e0e186"></a><!-- doxytag: member="Ogre::CompositionTargetPass::getShadowsEnabled" ref="aba75b186f14921fced9e4f80a2e0e186" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1CompositionTargetPass.html#aba75b186f14921fced9e4f80a2e0e186">Ogre::CompositionTargetPass::getShadowsEnabled</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get whether shadows are enabled in this target pass. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Only applicable to targets that render the scene as one of their passes. </dd></dl>

</div>
</div>
<a class="anchor" id="aae200cd1a0e12a84df5355f08ee06995"></a><!-- doxytag: member="Ogre::CompositionTargetPass::getVisibilityMask" ref="aae200cd1a0e12a84df5355f08ee06995" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> <a class="el" href="classOgre_1_1CompositionTargetPass.html#aae200cd1a0e12a84df5355f08ee06995">Ogre::CompositionTargetPass::getVisibilityMask</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the scene visibility mask used by this pass. </p>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::CompositionTargetPass::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::CompositionTargetPass::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::CompositionTargetPass::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::CompositionTargetPass::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::CompositionTargetPass::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::CompositionTargetPass::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::CompositionTargetPass::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::CompositionTargetPass::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::CompositionTargetPass::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::CompositionTargetPass::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a0e3250aafe830419fcf6ec9c2a925e6e"></a><!-- doxytag: member="Ogre::CompositionTargetPass::removeAllPasses" ref="a0e3250aafe830419fcf6ec9c2a925e6e" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1CompositionTargetPass.html#a0e3250aafe830419fcf6ec9c2a925e6e">Ogre::CompositionTargetPass::removeAllPasses</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Remove all passes. </p>

</div>
</div>
<a class="anchor" id="a211bcd76961f116969bbc4b1a5d7562d"></a><!-- doxytag: member="Ogre::CompositionTargetPass::removePass" ref="a211bcd76961f116969bbc4b1a5d7562d" args="(size_t idx)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1CompositionTargetPass.html#a211bcd76961f116969bbc4b1a5d7562d">Ogre::CompositionTargetPass::removePass</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>idx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Remove a pass. </p>
<p>It will also be destroyed. </p>

</div>
</div>
<a class="anchor" id="abf1c9cf0c11f8f440bfb1103b6c1349a"></a><!-- doxytag: member="Ogre::CompositionTargetPass::setInputMode" ref="abf1c9cf0c11f8f440bfb1103b6c1349a" args="(InputMode mode)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1CompositionTargetPass.html#abf1c9cf0c11f8f440bfb1103b6c1349a">Ogre::CompositionTargetPass::setInputMode</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1CompositionTargetPass.html#ab2b5ca61fda0a8dfdba1e3447f453294">InputMode</a>&#160;</td>
          <td class="paramname"><em>mode</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set input mode of this TargetPass. </p>

</div>
</div>
<a class="anchor" id="aff86d6761429799b8bb58e44962f2a0f"></a><!-- doxytag: member="Ogre::CompositionTargetPass::setLodBias" ref="aff86d6761429799b8bb58e44962f2a0f" args="(float bias)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1CompositionTargetPass.html#aff86d6761429799b8bb58e44962f2a0f">Ogre::CompositionTargetPass::setLodBias</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>bias</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the scene LOD bias used by this pass. </p>
<p>The default is 1.0, everything below that means lower quality, higher means higher quality. </p>

</div>
</div>
<a class="anchor" id="a3f57dcb06d3d764e4fe532be89e6f350"></a><!-- doxytag: member="Ogre::CompositionTargetPass::setMaterialScheme" ref="a3f57dcb06d3d764e4fe532be89e6f350" args="(const String &amp;schemeName)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1CompositionTargetPass.html#a3f57dcb06d3d764e4fe532be89e6f350">Ogre::CompositionTargetPass::setMaterialScheme</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>schemeName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the material scheme used by this target pass. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Only applicable to targets that render the scene as one of their passes. </dd></dl>
<dl class="see"><dt><b>See also:</b></dt><dd>Technique::setScheme. </dd></dl>

</div>
</div>
<a class="anchor" id="aa4113fff3ebd783e8ead645321cb7322"></a><!-- doxytag: member="Ogre::CompositionTargetPass::setOnlyInitial" ref="aa4113fff3ebd783e8ead645321cb7322" args="(bool value)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1CompositionTargetPass.html#aa4113fff3ebd783e8ead645321cb7322">Ogre::CompositionTargetPass::setOnlyInitial</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set "only initial" flag. </p>
<p>This makes that this target pass is only executed initially after the effect has been enabled. </p>

</div>
</div>
<a class="anchor" id="ac9a67dacd9d95d9f91fdb9437b07d758"></a><!-- doxytag: member="Ogre::CompositionTargetPass::setOutputName" ref="ac9a67dacd9d95d9f91fdb9437b07d758" args="(const String &amp;out)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1CompositionTargetPass.html#ac9a67dacd9d95d9f91fdb9437b07d758">Ogre::CompositionTargetPass::setOutputName</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>out</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set output local texture name. </p>

</div>
</div>
<a class="anchor" id="a0a4ee56a29f0aa2ec2131ed9bdda9f4b"></a><!-- doxytag: member="Ogre::CompositionTargetPass::setShadowsEnabled" ref="a0a4ee56a29f0aa2ec2131ed9bdda9f4b" args="(bool enabled)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1CompositionTargetPass.html#a0a4ee56a29f0aa2ec2131ed9bdda9f4b">Ogre::CompositionTargetPass::setShadowsEnabled</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>enabled</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set whether shadows are enabled in this target pass. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Only applicable to targets that render the scene as one of their passes. </dd></dl>

</div>
</div>
<a class="anchor" id="a5f741ec104a602e81d3f9b5f01ae2d4c"></a><!-- doxytag: member="Ogre::CompositionTargetPass::setVisibilityMask" ref="a5f741ec104a602e81d3f9b5f01ae2d4c" args="(uint32 mask)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1CompositionTargetPass.html#a5f741ec104a602e81d3f9b5f01ae2d4c">Ogre::CompositionTargetPass::setVisibilityMask</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a>&#160;</td>
          <td class="paramname"><em>mask</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the scene visibility mask used by this pass. </p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a459ee451d7916398cca6bc300b0ac7c6"></a><!-- doxytag: member="Ogre::CompositionTargetPass::mInputMode" ref="a459ee451d7916398cca6bc300b0ac7c6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositionTargetPass.html#ab2b5ca61fda0a8dfdba1e3447f453294">InputMode</a> <a class="el" href="classOgre_1_1CompositionTargetPass.html#a459ee451d7916398cca6bc300b0ac7c6">Ogre::CompositionTargetPass::mInputMode</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Input name. </p>

<p>Definition at line <a class="el" href="OgreCompositionTargetPass_8h_source.html#l00152">152</a> of file <a class="el" href="OgreCompositionTargetPass_8h_source.html">OgreCompositionTargetPass.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4ce2db808cd0fdfffbe1711e2160bfc5"></a><!-- doxytag: member="Ogre::CompositionTargetPass::mLodBias" ref="a4ce2db808cd0fdfffbe1711e2160bfc5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float <a class="el" href="classOgre_1_1CompositionTargetPass.html#a4ce2db808cd0fdfffbe1711e2160bfc5">Ogre::CompositionTargetPass::mLodBias</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>LOD bias of this render. </p>

<p>Definition at line <a class="el" href="OgreCompositionTargetPass_8h_source.html#l00163">163</a> of file <a class="el" href="OgreCompositionTargetPass_8h_source.html">OgreCompositionTargetPass.h</a>.</p>

</div>
</div>
<a class="anchor" id="abd072b22313d02b789cf35c82e38b811"></a><!-- doxytag: member="Ogre::CompositionTargetPass::mMaterialScheme" ref="abd072b22313d02b789cf35c82e38b811" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1CompositionTargetPass.html#abd072b22313d02b789cf35c82e38b811">Ogre::CompositionTargetPass::mMaterialScheme</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p><a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> scheme name. </p>

<p>Definition at line <a class="el" href="OgreCompositionTargetPass_8h_source.html#l00165">165</a> of file <a class="el" href="OgreCompositionTargetPass_8h_source.html">OgreCompositionTargetPass.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7d4c5bd17e2e323f1d0d1ef267f8fd61"></a><!-- doxytag: member="Ogre::CompositionTargetPass::mOnlyInitial" ref="a7d4c5bd17e2e323f1d0d1ef267f8fd61" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1CompositionTargetPass.html#a7d4c5bd17e2e323f1d0d1ef267f8fd61">Ogre::CompositionTargetPass::mOnlyInitial</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>This target pass is only executed initially after the effect has been enabled. </p>

<p>Definition at line <a class="el" href="OgreCompositionTargetPass_8h_source.html#l00159">159</a> of file <a class="el" href="OgreCompositionTargetPass_8h_source.html">OgreCompositionTargetPass.h</a>.</p>

</div>
</div>
<a class="anchor" id="a6ff0106b3d9aaaccf9f4a76885cdbbf2"></a><!-- doxytag: member="Ogre::CompositionTargetPass::mOutputName" ref="a6ff0106b3d9aaaccf9f4a76885cdbbf2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1CompositionTargetPass.html#a6ff0106b3d9aaaccf9f4a76885cdbbf2">Ogre::CompositionTargetPass::mOutputName</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>(local) output texture </p>

<p>Definition at line <a class="el" href="OgreCompositionTargetPass_8h_source.html#l00154">154</a> of file <a class="el" href="OgreCompositionTargetPass_8h_source.html">OgreCompositionTargetPass.h</a>.</p>

</div>
</div>
<a class="anchor" id="a59453821f88399703dae5e7ced4c47bd"></a><!-- doxytag: member="Ogre::CompositionTargetPass::mParent" ref="a59453821f88399703dae5e7ced4c47bd" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositionTechnique.html">CompositionTechnique</a>* <a class="el" href="classOgre_1_1CompositionTargetPass.html#a59453821f88399703dae5e7ced4c47bd">Ogre::CompositionTargetPass::mParent</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Parent technique. </p>

<p>Definition at line <a class="el" href="OgreCompositionTargetPass_8h_source.html#l00150">150</a> of file <a class="el" href="OgreCompositionTargetPass_8h_source.html">OgreCompositionTargetPass.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2f52450762b8bebd7d1154fd4f840456"></a><!-- doxytag: member="Ogre::CompositionTargetPass::mPasses" ref="a2f52450762b8bebd7d1154fd4f840456" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositionTargetPass.html#ae4c3411ea5a627769c7bf65179b6b5d6">Passes</a> <a class="el" href="classOgre_1_1CompositionTargetPass.html#a2f52450762b8bebd7d1154fd4f840456">Ogre::CompositionTargetPass::mPasses</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Passes. </p>

<p>Definition at line <a class="el" href="OgreCompositionTargetPass_8h_source.html#l00156">156</a> of file <a class="el" href="OgreCompositionTargetPass_8h_source.html">OgreCompositionTargetPass.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7562d96ff4c451bf72ce604f11623906"></a><!-- doxytag: member="Ogre::CompositionTargetPass::mShadowsEnabled" ref="a7562d96ff4c451bf72ce604f11623906" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1CompositionTargetPass.html#a7562d96ff4c451bf72ce604f11623906">Ogre::CompositionTargetPass::mShadowsEnabled</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Shadows option. </p>

<p>Definition at line <a class="el" href="OgreCompositionTargetPass_8h_source.html#l00167">167</a> of file <a class="el" href="OgreCompositionTargetPass_8h_source.html">OgreCompositionTargetPass.h</a>.</p>

</div>
</div>
<a class="anchor" id="a191a14c4f7e8b5c55b6af2b6711d0810"></a><!-- doxytag: member="Ogre::CompositionTargetPass::mVisibilityMask" ref="a191a14c4f7e8b5c55b6af2b6711d0810" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> <a class="el" href="classOgre_1_1CompositionTargetPass.html#a191a14c4f7e8b5c55b6af2b6711d0810">Ogre::CompositionTargetPass::mVisibilityMask</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Visibility mask for this render. </p>

<p>Definition at line <a class="el" href="OgreCompositionTargetPass_8h_source.html#l00161">161</a> of file <a class="el" href="OgreCompositionTargetPass_8h_source.html">OgreCompositionTargetPass.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreCompositionTargetPass_8h_source.html">OgreCompositionTargetPass.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:55
</p>
</body>
</html>
